\documentclass[10pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb, amsfonts}
\usepackage{mathtools}
\usepackage[left=2cm,right=1.5cm,top=2cm,bottom=1.5cm]{geometry}
\usepackage{listings}
\usepackage{multicol}
\usepackage{multirow}
\usepackage{filecontents}
\usepackage{graphicx}

\usepackage{blindtext}

\newcommand{\generateimage}[2]{
	\immediate\write18{base64 -d #1 > #2}
}

\usepackage{quoting}

\usepackage{algorithm} 
\usepackage{algpseudocode}
\renewcommand{\lstlistingname}{Algoritimo}

\newcommand\fontformula{\fontsize{20pt}{1pt}\selectfont}
\newcommand\fontexpressao{\fontsize{15pt}{1pt}\selectfont}

\setlength{\multicolsep}{0.0pt plus 0.0pt minus 0.0pt}
\usepackage[dvipsnames]{xcolor}
\definecolor{light-gray}{gray}{0.95}
\lstset{basicstyle=\footnotesize\ttfamily,breaklines=true}
\lstset{
    numbers=left,
    breaklines=true,
    backgroundcolor=\color{light-gray},
    tabsize=2,
    basicstyle=\footnotesize\ttfamily
}

\renewcommand*{\thesection}{}
\newcommand\tab[1][0.5cm]{\hspace*{#1}}
\renewcommand*{\thesubsection}{\arabic{subsection}}

\setlength{\parindent}{0pt}

\begin{document}

\section{Análise de Algoritmos}

\input{insert_sort}
\newpage

\input{algorithms01}
\newpage

\input{algorithms02}
\newpage

\input{algorithms03}
\newpage

\input{select_sort}
\newpage

\input{algorithms04}
\newpage

\end{document}